<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_141) on Thu Jun 07 14:32:06 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>AdminClass</title>
<meta name="date" content="2018-06-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AdminClass";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AdminClass.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../Negocio/BookClass.html" title="class in Negocio"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Negocio/AdminClass.html" target="_top">Frames</a></li>
<li><a href="AdminClass.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">Negocio</div>
<h2 title="Class AdminClass" class="title">Class AdminClass</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>Negocio.AdminClass</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">AdminClass</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../Negocio/AdminClass.html#AdminClass--">AdminClass</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../Negocio/AdminClass.html#AdminClass-Vista.Escritorio-">AdminClass</a></span>(<a href="../Vista/Escritorio.html" title="class in Vista">Escritorio</a>&nbsp;escritorio)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/AdminClass.html#changePasswordAdmin-java.lang.String-">changePasswordAdmin</a></span>(java.lang.String&nbsp;newPass)</code>
<div class="block">Cambio de Password<br>
 Metodo para el cambio de password del administrador</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/AdminClass.html#getAdminNow--">getAdminNow</a></span>()</code>
<div class="block">Devuelve el administrador actual</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/AdminClass.html#getPasswordNow--">getPasswordNow</a></span>()</code>
<div class="block">Devuelve el password actual</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/AdminClass.html#instalacionBBDD--">instalacionBBDD</a></span>()</code>
<div class="block">Metodo que contiene todos los pasos para instalar la base de datos en MYSQL</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/AdminClass.html#instalacionDatosEjemplo--">instalacionDatosEjemplo</a></span>()</code>
<div class="block">Metodo para la insercion de los datos de ejemplo en todas las tablas</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/AdminClass.html#isAdminLogeado--">isAdminLogeado</a></span>()</code>
<div class="block">Devuelve si existe un administrador logeado o no</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/AdminClass.html#loginAdmin-java.lang.String-java.lang.String-">loginAdmin</a></span>(java.lang.String&nbsp;nombre,
          java.lang.String&nbsp;password)</code>
<div class="block">Logeo del Administrador<br>
 Metodo de login para los administradores del sistema</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/AdminClass.html#setAdminLogeado-boolean-">setAdminLogeado</a></span>(boolean&nbsp;AdminLogeado)</code>
<div class="block">Envia el estado actual del administrador que este en el sistema</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/AdminClass.html#setAdminNow-java.lang.String-">setAdminNow</a></span>(java.lang.String&nbsp;adminNow)</code>
<div class="block">Envia el administrador actual</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/AdminClass.html#setPasswordNow-java.lang.String-">setPasswordNow</a></span>(java.lang.String&nbsp;passwordNow)</code>
<div class="block">Envio del password actual</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AdminClass--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AdminClass</h4>
<pre>public&nbsp;AdminClass()</pre>
</li>
</ul>
<a name="AdminClass-Vista.Escritorio-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AdminClass</h4>
<pre>public&nbsp;AdminClass(<a href="../Vista/Escritorio.html" title="class in Vista">Escritorio</a>&nbsp;escritorio)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getAdminNow--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAdminNow</h4>
<pre>public&nbsp;java.lang.String&nbsp;getAdminNow()</pre>
<div class="block">Devuelve el administrador actual</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>devulve String</dd>
</dl>
</li>
</ul>
<a name="setAdminNow-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAdminNow</h4>
<pre>public&nbsp;void&nbsp;setAdminNow(java.lang.String&nbsp;adminNow)</pre>
<div class="block">Envia el administrador actual</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>adminNow</code> - envia String</dd>
</dl>
</li>
</ul>
<a name="getPasswordNow--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPasswordNow</h4>
<pre>public&nbsp;java.lang.String&nbsp;getPasswordNow()</pre>
<div class="block">Devuelve el password actual</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>passwordNow String</dd>
</dl>
</li>
</ul>
<a name="setPasswordNow-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPasswordNow</h4>
<pre>public&nbsp;void&nbsp;setPasswordNow(java.lang.String&nbsp;passwordNow)</pre>
<div class="block">Envio del password actual</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>passwordNow</code> - String</dd>
</dl>
</li>
</ul>
<a name="isAdminLogeado--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAdminLogeado</h4>
<pre>public&nbsp;boolean&nbsp;isAdminLogeado()</pre>
<div class="block">Devuelve si existe un administrador logeado o no</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true / false</dd>
</dl>
</li>
</ul>
<a name="setAdminLogeado-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAdminLogeado</h4>
<pre>public&nbsp;void&nbsp;setAdminLogeado(boolean&nbsp;AdminLogeado)</pre>
<div class="block">Envia el estado actual del administrador que este en el sistema</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>AdminLogeado</code> - String</dd>
</dl>
</li>
</ul>
<a name="changePasswordAdmin-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>changePasswordAdmin</h4>
<pre>public&nbsp;void&nbsp;changePasswordAdmin(java.lang.String&nbsp;newPass)
                         throws java.sql.SQLException</pre>
<div class="block">Cambio de Password<br>
 Metodo para el cambio de password del administrador</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newPass</code> - String</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="loginAdmin-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loginAdmin</h4>
<pre>public&nbsp;boolean&nbsp;loginAdmin(java.lang.String&nbsp;nombre,
                          java.lang.String&nbsp;password)
                   throws java.sql.SQLException,
                          java.beans.PropertyVetoException</pre>
<div class="block">Logeo del Administrador<br>
 Metodo de login para los administradores del sistema</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nombre</code> - String Nombre del administrador</dd>
<dd><code>password</code> - String contraseña</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>booleano</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
<dd><code>java.beans.PropertyVetoException</code> - Excepcion de tipo PropertyVeto</dd>
</dl>
</li>
</ul>
<a name="instalacionBBDD--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>instalacionBBDD</h4>
<pre>public&nbsp;void&nbsp;instalacionBBDD()</pre>
<div class="block">Metodo que contiene todos los pasos para instalar la base de datos en MYSQL</div>
</li>
</ul>
<a name="instalacionDatosEjemplo--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>instalacionDatosEjemplo</h4>
<pre>public&nbsp;void&nbsp;instalacionDatosEjemplo()</pre>
<div class="block">Metodo para la insercion de los datos de ejemplo en todas las tablas</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AdminClass.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../Negocio/BookClass.html" title="class in Negocio"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Negocio/AdminClass.html" target="_top">Frames</a></li>
<li><a href="AdminClass.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
